Page MenuHomePhabricator

Protected pages from creation don't show the "change protection" link and the current protection level
Closed, ResolvedPublic

Event Timeline

Melos created this task.Dec 21 2014, 5:03 PM
Melos raised the priority of this task from to High.
Melos updated the task description. (Show Details)
Melos changed Security from none to None.
Melos added a subscriber: Melos.
Melos added a subscriber: Legoktm.Dec 21 2014, 7:54 PM

Did this work before? If yes, any idea when this broke?

@Melos: Why was "MediaWiki-CoreTeam" added here as a project?

Change 181423 had a related patch set uploaded (by Hoo man):
Improve/ sanitize protected_titles handling

https://gerrit.wikimedia.org/r/181423

Patch-For-Review

Legoktm added a subscriber: hoo.

@hoo tracked this down to a regression in my MovePage patch.

Anomie added a subscriber: Anomie.Jan 15 2015, 6:13 PM

The regression is due to moving the BC handling from callers of getTitleProtection() into getTitleProtection() itself. @hoo's patch tries to go a little further with that, but it doesn't go far enough and actually going far enough looks to me like it would turn out to be a lot of work.

We might be better served with the short-term solution of just reverting the part of the MovePage patch that moved the BC handling into getTitleProtection().

Change 181423 abandoned by Hoo man:
Improve/ sanitize protected_titles handling

Reason:
I don't think I'll have time to work on this anytime soon.

https://gerrit.wikimedia.org/r/181423

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptNov 23 2016, 8:08 PM

Change 335996 had a related patch set uploaded (by Anomie):
Fix Title::loadRestrictions() for create-protected titles

https://gerrit.wikimedia.org/r/335996

Change 335996 merged by jenkins-bot:
[mediawiki/core] Fix Title::loadRestrictions() for create-protected titles

https://gerrit.wikimedia.org/r/335996

Anomie closed this task as Resolved.Mar 6 2017, 8:26 PM
Anomie claimed this task.

The fix should be deployed to WMF wikis with 1.29.0-wmf.15, see https://www.mediawiki.org/wiki/MediaWiki_1.29/Roadmap for the schedule.